package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;
import com.zyc.common.core.domain.BaseEntity;

/**
 * 字典类型对象 dict_type
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class DictType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 字典名称 */
    @Excel(name = "字典名称")
    private String dictName;

    /** 字典类型 */
    @Excel(name = "字典类型")
    private String dictType;

    /** 字典状态 */
    @Excel(name = "字典状态")
    private Integer status;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDictName(String dictName) 
    {
        this.dictName = dictName;
    }

    public String getDictName() 
    {
        return dictName;
    }
    public void setDictType(String dictType) 
    {
        this.dictType = dictType;
    }

    public String getDictType() 
    {
        return dictType;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dictName", getDictName())
            .append("dictType", getDictType())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
